/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.impl.BaseDao;
import com.wechat.model.dbEntity.MdeVipPackage;
import com.wechat.model.dto.VipPackageDto;

/**
 * 单表生成DAO接口
 * 
 * @author tangwc
 * @version 2018-06-08
 */
@Repository
public class MdeVipPackageDao extends BaseDao {
	
	public MdeVipPackage getPkgInfoContainPrice(Map<String, String> map) {
		return super.selectOne("MdeVipPackageMapper.getPkgInfoContainPrice", map);
	}

	public MdeVipPackage getPkgInfoById(int pkgId, String lang) {
		Map<String, Object> map = new HashMap<String, Object>();
		map.put("pkgId", pkgId);
		map.put("lang", lang);
		return super.selectOne("MdeVipPackageMapper.getPkgInfoById", map);
	}

	public List<VipPackageDto> getPackagesByIdentityFlag(Map<String, String> map) {
		return super.select("MdeVipPackageMapper.getPackagesByIdentityFlag", map);
	}
	
}